version: "3.9"

services:

  gitlab-runner:
    image: gitlab/gitlab-runner:alpine3.14-bleeding
    container_name: gitlab-runner
    command: 
      - /bin/bash
      - -c |
        cd /etc/Projects/wata &&
        gitlab-runner run --config "./pyproject.toml" 
    volumes:
      - ./volumes/gitlab-runner/config:/etc/gitlab-runner
      - /var/run/docker.sock:/var/run/docker.sock
      - ~/Projects:/etc/Projects/
